<?xml version="1.0" encoding="ISO-8859-1"?>
<!DOCTYPE lire:global-filter-spec PUBLIC
  "-//LogReport.ORG//DTD Lire Report Specification Markup Language V1.0//EN"
  "http://www.logreport.org/LRSML/1.0/lrsml.dtd">
<lire:global-filter-spec xmlns:lire="http://www.logreport.org/LRSML/"
 superservice="www" id="exclude-referer">

 <lire:title>Exclude Referer Filter</lire:title>

 <lire:description>
  <para>This filter specification can be used to exclude requests with
   a particular referrer.
  </para> 
  <para>For example, this filter could be used to exclude internal
   referral from your subreports.
  </para>
 </lire:description>

<lire:param-spec>
  <lire:param name="referer_match" type="string" default="^-$">
   <lire:description>
    <para>This parameter contains the regular expression that will be
     used to filter out the referrer. Requests for which the
     <type>referer</type> field matches that regexp will be excluded
     from the subreports.
    </para>
   </lire:description>
  </lire:param>
 </lire:param-spec>

 <lire:display-spec>
  <lire:title>excluded requests with a referer matching "$referer_match"</lire:title>
 </lire:display-spec>

 <lire:filter-spec>
  <lire:not>
   <lire:match value="$referer" re="$referer_match" case-sensitive="false"/>
  </lire:not>
 </lire:filter-spec>

</lire:global-filter-spec>
